Skip site navigation (1) Skip section navigation (2)

Re: JDBC driver

From: Oliver Jowett <oliver(at)opencloud(dot)com>
To: "Wong, RYM (Richard)" <R(dot)Y(dot)M(dot)Wong(at)rl(dot)ac(dot)uk>
Cc: "pgsql-jdbc(at)postgresql(dot)org" <pgsql-jdbc(at)postgresql(dot)org>
Subject: Re: JDBC driver
Date: 2005-02-17 19:38:22
Message-ID: 4214F2AE.1090706@opencloud.com (view raw or flat)
Thread:
Lists: pgsql-jdbc
Wong, RYM (Richard) wrote:
> It is part of the postgresql-7.4.3 package.
> When I run the config command with the flag '--with-java' and then run 'gmake', the whole
> suite of jdbc is generated automatically.
> I suppose the full version of jdbc is 7.4.3.

Ah, ok.

This is very old code. It predates 1.5 and so it's not too suprising 
that it doesn't build under 1.5. I suggest you build from source 
available at jdbc.postgresql.org or use a prebuilt jar from the same 
location. Don't pass --with-java to avoid trying to build the driver 
provided with 7.4.3 (that flag only triggers the driver build -- it does 
not change how the server or client utils are built).

I'd also suggest you use the latest 7.4.x server, not 7.4.3. There are 
data-loss bugs that have been fixed since 7.4.3.

-O

pgsql-jdbc by date

Next:From: Kalle KivimaaDate: 2005-02-18 10:39:19
Subject: Hibernate + setObject() + boolean problem with a patch
Previous:From: Kris JurkaDate: 2005-02-17 03:21:06
Subject: Re: pst.setNull(2, Types.BLOB)

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group